package com.steering.mes.zgmil.entity;




/**
 * 数据库表MIL_SLAB_SCRAP_SEQ所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-07-17
 */
public class MilSlabScrapSeqEntity {
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 工序号
     */
    private String processNo;
    /**
     * 管坯序号
     */
    private String seq;
    /**
     * 更新管号队列状态的序号
     */
    private String seqForUpdate;
    public String getSeqForUpdate() {
		return seqForUpdate;
	}

	public void setSeqForUpdate(String seqForUpdate) {
		this.seqForUpdate = seqForUpdate;
	}

	/**
     * 剔除时间
     */
    private String time;
    /**
     * 处理标识
     */
    private String flag;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    
    /**
     * 状态
     */
    private String status;
    
    /**
     * 状态
     */
    private String feedRowNo;

    private String scrapDbnum;
    
    private String scrapReason;
    /**
     * 台号(0-无 1-1#台 2-2#台 3-3#台)
     */
    private String colNo = "";

    /**
     * 离线类型
     */
    private String colType;
	/***
	 * 下线类型
	 */
    private String offlineType;
    /***
     * 材料号
     */
    private String matNo;
    
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;
    
    
    
	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	public String getMatNo() {
		return matNo;
	}

	public void setMatNo(String matNo) {
		this.matNo = matNo;
	}

	public String getOfflineType() {
		return offlineType;
	}

	public void setOfflineType(String offlineType) {
		this.offlineType = offlineType;
	}

	public String getScrapDbnum() {
		return scrapDbnum;
	}

	public void setScrapDbnum(String scrapDbnum) {
		this.scrapDbnum = scrapDbnum;
	}

	public String getFeedRowNo() {
		return feedRowNo;
	}

	public void setFeedRowNo(String feedRowNo) {
		this.feedRowNo = feedRowNo;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public MilSlabScrapSeqEntity(){
		proPlanId = "";
		gxPlanNo = "";
        judgeStoveNo = "";
        processNo = "";
        seq = "";
        time = "";
        flag = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        seqForUpdate = "";
        feedRowNo = "";
        scrapDbnum ="";
        colType = "";
        offlineType = "";
        matNo = "";
    }

	public String getColType() {
		return colType;
	}

	public void setColType(String colType) {
		this.colType = colType;
	}
	
    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 工序号
     * @return value
     */
    public String getProcessNo() {
        return processNo;
    }

    /**
     * 工序号
     * @param processNo value
     */
    public void setProcessNo(String processNo) {
        this.processNo = processNo;
    }

    /**
     * 管坯序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 管坯序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 剔除时间
     * @return value
     */
    public String getTime() {
        return time;
    }

    /**
     * 剔除时间
     * @param time value
     */
    public void setTime(String time) {
        this.time = time;
    }

    /**
     * 处理标识
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 处理标识
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
    
    public String getScrapReason()
    {
    	return scrapReason;
    }
    public void setScrapReason(String scrapReason)
    {
    	this.scrapReason=scrapReason;
    }
    /**
     * 台号(0-无 1-1#台 2-2#台 3-3#台)
     * @return value
     */
    public String getColNo() {
        return colNo;
    }

    /**
     * 台号(0-无 1-1#台 2-2#台 3-3#台)
     * @param colNo value
     */
    public void setColNo(String colNo) {
        this.colNo = colNo;
    }
}
